İçeriğe geç

Bytedance Seedream V4.5 Edit

Entegre et

Model kimliği bytedance/seedream/v4.5/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v4.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,04 40 API kredisi Bu sayfada çalıştır

API anahtarı al
ByteDance Görsel Düzenleme 4K çıktı #stylized#transform

Metin talimatıyla bir veya daha fazla referans görüntüsünü düzenler; 10 girdiye kadar destekler ve 2K/4K çıktı boyutları sunar

Doitong'ta oluşturuldu

Doitong topluluğunun Bytedance Seedream V4.5 ile oluşturduğu herkese açık çalışmalar. Bir istemi tek tıklamayla yeniden kullanın.

Gösterilen herkese açık çalışma sayısı: 16
Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек ...

Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек с вдохновением собирается начать что-то новое (например, рисовать на холсте). Внезапно появляется его Мозг в виде забавного персонажа, который начинает активно мешать: показывает смешные картинки...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beau...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beautifully bound books. The fingers softly touch the spines. Warm, golden hour lighting. No faces. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filter...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filtering through trees, cozy wooden treehouse, high detail, 4K.. Studio Ghibli animation style. Close-up of Elara's hands carefully picking one of the glowing mushrooms and placing it into a small woven...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further b...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further back in the frame. Three feet of terracotta floor between them. Maya is standing on terracotta floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image ...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image with a black bob, purple hair streak, and a small nose ring. She has a defiant, playful expression, sticking her tongue out with wide, confident eyes while wearing a classic denim jacket. Isolated on...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in ...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in an emerald gown stands beside Leo Lime ("90/100"). Nico Peach ("100/100") in a black tuxedo with gold embroidery kneels before veiled Grana, holding her red-gloved hand. Pixar-style 3D CGI, soft...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at th...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at the vanity while the maid Aunt Banana does her hair. Mrs. Lime holds out an old, torn, yellowed wedding dress to veiled Grana. Pixar-style 3D CGI, soft cinematic lighting, vertical 9:16....

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two fram...

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two framed portraits: a handsome lime-green man labeled "90/100" and a black silhouette with a question mark. Mrs. Lime beside him. Mia Orange and veiled Grana sit on a beige velvet sofa. Pixar-style 3D CGI,...

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Görseli düzenlemeye yönelik metin talimatları.

•gerekli image_urls
Dosyayı bırakın veya

Düzenlenecek görsellerin URL'leri; daha uzun bir liste gönderilirse son 10 girdiden işlenir. Mevcut girdi sınırı 10 görseldir.

image_size varsayılan {"height":2048,"width...

Üretilen görsel boyutu şu iki koşuldan birini karşılamalıdır: toplam piksel sayısı 2560*1440 ile 4096*4096 arasında olmalı veya genişlik ve yükseklik ayrı ayrı 1920–4096 arasında olmalıdır.

num_images varsayılan 1

İstem kullanılarak gerçekleştirilecek bağımsız model üretimlerinin sayısı.

varsayılan 1

`max_images` ile üretim başına görsel üst sınırını belirleyin; birden büyük değerler çoklu görsel üretimini etkinleştirir. `num_images` üretimi boyunca her biri en fazla `max_images` görsel döndürebilir; toplam çıktı sayısı `num_images` ile `max_images*num_images` arasında olur. Girdi ve çıktılar birlikte en fazla 15 görsel kullanılabilir.

Gelişmiş seed · enable_safety_checker

Görsel üretimi sırasındaki rastgeleliği belirleyen seed.

POST /run/bytedance/seedream/v4.5/edit?wait=20 fiyat → $0,04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v4.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Bytedance Seedream V4.5 Edit hakkında

Seedream 4.5'in görüntü düzenleme sürümüdür. Bir `prompt` ve `image_urls` gönderin (10 görüntüye kadar; daha fazlası gönderilirse yalnızca son 10'u kullanılır). `image_size`, square_hd, portrait_16_9, auto_2K ve auto_4K gibi ön ayarları veya özel genişlik ve yüksekliği kabul eder. Çoklu görüntü çıktısı için `num_images` ve `max_images` değerlerinin her biri 6'ya kadar çıkabilir.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
Görseli düzenlemeye yönelik metin talimatları.
image_sizeisteğe bağlı
Türobject
Varsayılan{"height":2048,"width":2048}
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_2Kauto_4K
Üretilen görsel boyutu şu iki koşuldan birini karşılamalıdır: toplam piksel sayısı 2560*1440 ile 4096*4096 arasında olmalı veya genişlik ve yükseklik ayrı ayrı 1920–4096 arasında olmalıdır.
num_imagesisteğe bağlı num_outputs
Türinteger
Varsayılan1
1 – 6
İstem kullanılarak gerçekleştirilecek bağımsız model üretimlerinin sayısı.
max_imagesisteğe bağlı
Türinteger
Varsayılan1
1 – 6
`max_images` ile üretim başına görsel üst sınırını belirleyin; birden büyük değerler çoklu görsel üretimini etkinleştirir. `num_images` üretimi boyunca her biri en fazla `max_images` görsel döndürebilir; toplam çıktı sayısı `num_images` ile `max_images*num_images` arasında olur. Girdi ve çıktılar birlikte en fazla 15 görsel kullanılabilir.
seedisteğe bağlı
Türinteger | null
Görsel üretimi sırasındaki rastgeleliği belirleyen seed.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Kapalı ayarı hesap yetkilendirmesi gerektiren güvenlik denetimi anahtarı. Bu yetkilendirme olmadan ayardan bağımsız olarak her istek denetlenir; true denetleyiciyi etkinleştirir.
image_urlsgerekli images
Türurl[] · image
Düzenlenecek görsellerin URL'leri; daha uzun bir liste gönderilirse son 10 girdiden işlenir. Mevcut girdi sınırı 10 görseldir.
gerekli Kanonik ad, bu ad da kabul edilir

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v4.5/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size, width, height}Model tarafından üretilen görseller.

Daha fazla model: Görsel Düzenleme

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/bytedance/seedream/v4.5/edit.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt